Package org.kapott.hbci.sepa

# Enum SepaVersion.Type

java.lang.Object
java.lang.Enum<SepaVersion.Type>
org.kapott.hbci.sepa.SepaVersion.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<SepaVersion.Type>`, `java.lang.constant.Constable`

Enclosing class:
  `SepaVersion`

public static enum SepaVersion.Type extends Enum<SepaVersion.Type>
Enum fuer die Gruppierung der verschienden Typen von Geschaeftsvorfaellen.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CAMT_052`
Umsaetze im CAMT.052-Format.
`PAIN_001`
Ueberweisungen.
`PAIN_002`
Kontoauszuege.
`PAIN_008`
Lastschriften.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert eine sprechende Bezeichnung des Typs.
`String`
`getType()`
Liefert den Typ.
`String`
`getValue()`
Liefert den numerischen Wert des Typs.
`static SepaVersion.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SepaVersion.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PAIN_001

public static final SepaVersion.Type PAIN_001
Ueberweisungen.

### PAIN_002

public static final SepaVersion.Type PAIN_002
Kontoauszuege.

### PAIN_008

public static final SepaVersion.Type PAIN_008
Lastschriften.

### CAMT_052

public static final SepaVersion.Type CAMT_052
Umsaetze im CAMT.052-Format.

## Method Details

### values

public static SepaVersion.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SepaVersion.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getType

public String getType()
Liefert den Typ.

Returns:
  type

### getValue

public String getValue()
Liefert den numerischen Wert des Typs.

Returns:
  der numerischen Wert des Typs.

### getName

public String getName()
Liefert eine sprechende Bezeichnung des Typs.

Returns:
  eine sprechende Bezeichnung des Typs.